HPE Community read-only access December 15, 2018
This is a maintenance upgrade. You will be able to read articles and posts, but not post or reply.
Hours:
Dec 15, 4:00 am to 10:00 am UTC
Dec 14, 10:00 pm CST to Dec 15, 4:00 am CST
Dec 14, 8:00 pm PST to Dec 15, 2:00 am PST
Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Problem installing PathWorks on Alpha 8.3.

 
SOLVED
Go to solution
The Brit
Honored Contributor

Problem installing PathWorks on Alpha 8.3.

I have just upgraded one of my test machines to OpenVMS Alpha Version 8.3. I now need to install and test PathWorks (my production systems use it).
The installation (of PathWorks V6.1) appears to be successful, vis, from vmsinstal.history,

------------------------------------------------------------------------------------------------------------------------
Product Information | Installation Information
------------------------------------------------------------|-----------------------------------------------------------
Name | Mnemonic | Version | Date | Status| IVP | Node | Installer
------------------------------------------------------------|----------------------------------------------------------- | PWRK | 6.1 | 8-OCT-2007 | S | S | XXXXXX | SYSTEM

However, when I carry out the next step, i.e. run Sys$Update:PWRK$CONFIG.COM, I get;

%SYSMAN-I-NODERR, error returned from node XXXXXX
-SYSTEM-W-SYSVERDIF, system version mismatch; please relink
%SYSMAN-I-NODERR, error returned from node XXXXXX
-SYSTEM-W-SYSVERDIF, system version mismatch; please relink
%PWRK-F-NOSUCHDEV, could not load PCFS driver

Can anyone shed any light on where I should go next?

Dave
6 REPLIES
John Abbott_2
Esteemed Contributor
Solution

Re: Problem installing PathWorks on Alpha 8.3.

Hi Dave,

From the message, looks like it's not supported. I think you need Pathworks V7.3B advanced server for VMS AXP V8.3

http://h71000.www7.hp.com/pathworks/pwnew.html

http://h71000.www7.hp.com/pathworks/upgrading.html

http://h71000.www7.hp.com/pathworks/advancedserver.html

Regards
John.
Don't do what Donny Dont does
Duncan Morris
Honored Contributor

Re: Problem installing PathWorks on Alpha 8.3.

Dave,

you will find that this page

http://h71000.www7.hp.com/pathworks/differences.html

gives details of the supported OS versions.

VMS 8.3 does not appear to be a supported platform for Pathworks 6.1, so you should look at upgrading to 7.3B.

Duncan
The Brit
Honored Contributor

Re: Problem installing PathWorks on Alpha 8.3.

I had pretty much reached the same conclusion, and am in the process of extracting the pcsi files for Advanced Server, from the "Layered Products" CD.

Thanks for confirming the solution.

Dave.
Dean McGorrill
Valued Contributor

Re: Problem installing PathWorks on Alpha 8.3.

hi Dave, you post a reply as to how diffcult your pathworks upgrade went. ie
any convertions needed etc. curious. Dean
The Brit
Honored Contributor

Re: Problem installing PathWorks on Alpha 8.3.

Hi Dean,
Only a couple of comments.

1. I pulled the Advanced Server compressed PCSI file, and the associated manifest file (*.pcsi$compressed_esw), however when I ran "product install" I got some strange messages. (basically saying that the install process couldn't validate the product because the name supplied was different from the name in the manifest file.) I tried doing a "product list" and got the same result. To try to move forward, I renamed the manifest file to *.temp, and reran the "product list". This time it reported that "...there is supposed to be a manifest file, however I cant find it. Do you want to continue...?"
I answered "Yes" to this and it went ahead and displayed the contents of the pcsi file.

This being the case, (and since I was working on a TEST system with a good backup), I went ahead and ran the "product install" command. I got the "missing manifest file" message, but told it to continue. It then went ahead and installed the product without any obvious issues.

2. In the process of installing, it sets up the initial parameters. The only one you might want to keep an eye on is the "Transports". It defaults to IP, however the implication is that the IP option is for TCPWARE (this may not be true, however I didn't follow up). I discovered the problem when I tried to start pathworks, I got a message saying that the PWIPDriver needed to be loaded. Googling for the solution, I only found a reference to TCPWARE (which provides a com file to do this). In my case, I just ran an "admin/config" command, and changed the transport to DECNet.

Pathworks then started up OK.

I haven't got fully around to testing yet.

Dave
Paul Nunez
Respected Contributor

Re: Problem installing PathWorks on Alpha 8.3.

The PWIPdriver is supplied with each of the 3 IP stacks supported by OVMS and must be enabled in order to get TCP/IP support in Advanced Server.

With TCP/IP Services for OpenVMS, you enable it in tcpip$config (under Optional Components)...

REgards,


Paul